Open CASCADE Technology: IGESDefs_ReadWriteModule Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
IGESDefs_ReadWriteModule Class Reference

Defines Defs File Access Module for IGESDefs (specific parts) Specific actions concern : Read and Write Own Parameters of an IGESEntity. More...

`#include <IGESDefs_ReadWriteModule.hxx>`

Inheritance diagram for IGESDefs_ReadWriteModule:
[legend]

## Public Member Functions
| IGESDefs_ReadWriteModule ()
| Creates a ReadWriteModule & puts it into ReaderLib & WriterLib. More...
Standard_Integer | CaseIGES (const Standard_Integer typenum, const Standard_Integer formnum) const
| Defines Case Numbers for Entities of IGESDefs. More...
void | ReadOwnParams (const Standard_Integer CN, const Handle< IGESData_IGESEntity > &ent, const Handle< IGESData_IGESReaderData > &IR, IGESData_ParamReader &PR) const
| Reads own parameters from file for an Entity of IGESDefs. More...
void | WriteOwnParams (const Standard_Integer CN, const Handle< IGESData_IGESEntity > &ent, IGESData_IGESWriter &IW) const
| Writes own parameters to IGESWriter. More...
Public Member Functions inherited from IGESData_ReadWriteModule
Standard_Integer | CaseNum (const Handle< Interface_FileReaderData > &data, const Standard_Integer num) const
| Translates the Type of record <num> in <data> to a positive Case Number, or 0 if failed. Works with IGESReaderData which provides Type & Form Numbers, and calls CaseIGES (see below) More...
void | Read (const Standard_Integer CN, const Handle< Interface_FileReaderData > &data, const Standard_Integer num, Handle< Interface_Check > &ach, const Handle< Standard_Transient > &ent) const
| General Read Function. See IGESReaderTool for more info. More...
Public Member Functions inherited from Interface_ReaderModule
virtual Standard_Boolean | NewRead (const Standard_Integer casenum, const Handle< Interface_FileReaderData > &data, const Standard_Integer num, Handle< Interface_Check > &ach, Handle< Standard_Transient > &ent) const
| Specific operator (create+read) defaulted to do nothing. It can be redefined when it is not possible to work in two steps (NewVoid then Read). This occurs when no default constructor is defined : hence the result <ent> must be created with an effective definition from the reader. Remark : if NewRead is defined, Copy has nothing to do. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

Defines Defs File Access Module for IGESDefs (specific parts) Specific actions concern : Read and Write Own Parameters of an IGESEntity.

## Constructor & Destructor Documentation

IGESDefs_ReadWriteModule::IGESDefs_ReadWriteModule | ( |  | ) |

Creates a ReadWriteModule & puts it into ReaderLib & WriterLib.

## Member Function Documentation

Standard_Integer IGESDefs_ReadWriteModule::CaseIGES | ( | const Standard_Integer | typenum,
|  | const Standard_Integer | formnum
| ) |  | const
| virtual

Defines Case Numbers for Entities of IGESDefs.

Implements IGESData_ReadWriteModule.

void IGESDefs_ReadWriteModule::ReadOwnParams | ( | const Standard_Integer | CN,
|  | const Handle< IGESData_IGESEntity > & | ent,
|  | const Handle< IGESData_IGESReaderData > & | IR,
|  | IGESData_ParamReader & | PR
| ) |  | const
| virtual

Reads own parameters from file for an Entity of IGESDefs.

Implements IGESData_ReadWriteModule.

void IGESDefs_ReadWriteModule::WriteOwnParams | ( | const Standard_Integer | CN,
|  | const Handle< IGESData_IGESEntity > & | ent,
|  | IGESData_IGESWriter & | IW
| ) |  | const
| virtual

Writes own parameters to IGESWriter.

Implements IGESData_ReadWriteModule.

The documentation for this class was generated from the following file:

- IGESDefs_ReadWriteModule.hxx